{
    attributes = (
        {
            columnName = "WMO_CODE"; 
            externalType = VARCHAR2; 
            name = wmoCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = "WMO_LIBELLE"; 
            externalType = VARCHAR2; 
            name = wmoLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "WMO_TYPE"; 
            externalType = VARCHAR2; 
            name = wmoType; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }
    ); 
    attributesUsedForLocking = (wmoCode, wmoLibelle, wmoType); 
    className = "org.cocktail.kiwi.server.metier.EOWebmon"; 
    classProperties = (wmoLibelle, wmoType, devises, wmoCode); 
    externalName = "JEFY_MISSION.WEB_MON"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (wmoLibelle, wmoType, devises, wmoCode); 
        "_javaClientClassName" = "org.cocktail.kiwi.client.metier.EOWebmon"; 
    }; 
    isReadOnly = Y; 
    name = Webmon; 
    primaryKeyAttributes = (wmoCode); 
    relationships = (
        {
            destination = Devises; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = wmoCode; sourceAttribute = wmoCode; }); 
            name = devises; 
        }
    ); 
}
